
import java.awt.Color;
import java.awt.Font;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.DefaultTableModel;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Trung Kien
 */
public class Quanly_LopSH extends javax.swing.JPanel {

    public static DefaultTableModel model_tb = new DefaultTableModel() {

        @Override
        public boolean isCellEditable(int row, int column) {
            return true;
        }

    };

    public Quanly_LopSH(String MAKHOA) throws SQLException {
        initComponents();
        while (model_tb.getColumnCount() == 0) {
            model_tb.addColumn("MSGV");
            model_tb.addColumn("Họ tên CVHT");
            model_tb.addColumn("Lớp sinh hoạt");
        }
        listGV.getTableHeader().setFont(new Font("UTM Amerika Sans", Font.BOLD, 22)); // cài đặt kiểu chữ title column
        listGV.getTableHeader().setBackground(Color.orange); // cài đặt màu title column
        // set căn lề center
        DefaultTableCellRenderer centerRenderer = new DefaultTableCellRenderer();
        centerRenderer.setHorizontalAlignment(JLabel.CENTER);
        listGV.setDefaultRenderer(String.class, centerRenderer);

        while (listGV.getRowCount() != 0) {
            model_tb.removeRow(0);
        }
        listGV.setRowHeight(40);
        addRow(MAKHOA);
    }

    private void addRow(String MAKHOA) throws SQLException {
        ResultSet resultGV = main.st.executeQuery("select * from GIAOVIEN, LOPSH where GIAOVIEN.MAKHOA = '" + MAKHOA + "' and GIAOVIEN.MAGV = LOPSH.MAGV");
        while (resultGV.next()) {
            model_tb.addRow(new Object[]{resultGV.getString("MAGV").trim(), resultGV.getString("HOTEN").trim(), resultGV.getString("TENLOP").trim()});
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        listGV = new javax.swing.JTable(model_tb);
        jButton1 = new javax.swing.JButton();

        setBackground(new java.awt.Color(0, 51, 51));

        listGV.setBackground(new java.awt.Color(255,255,255));
        listGV.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 0), 1, true));
        listGV.setFont(new java.awt.Font("UTM Amerika Sans", 1, 16));
        /*
        listGV.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        */
        listGV.setSelectionBackground(new java.awt.Color(204, 204, 204));
        listGV.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                listGVMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(listGV);

        jButton1.setBackground(new java.awt.Color(255, 153, 51));
        jButton1.setFont(new java.awt.Font("UTM Amerika Sans", 1, 18)); // NOI18N
        jButton1.setForeground(new java.awt.Color(255, 255, 255));
        jButton1.setText("Xem chi tiết lớp");
        jButton1.setToolTipText("");
        jButton1.setEnabled(false);
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(0, 197, Short.MAX_VALUE)
                        .addComponent(jButton1)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 193, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(38, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        int row[] = listGV.getSelectedRows();
        try {
            Quanly_CVHT a = new Quanly_CVHT(model_tb.getValueAt(row[0], 0).toString());
            a.setSize(1325, 700);
            a.setVisible(true);
            a.setTitle("CVHT || "+model_tb.getValueAt(row[0], 1).toString());
        } catch (SQLException ex) {
            Logger.getLogger(Quanly_LopSH.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void listGVMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_listGVMouseClicked
        // TODO add your handling code here:
        jButton1.setEnabled(true);

    }//GEN-LAST:event_listGVMouseClicked


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JScrollPane jScrollPane1;
    public static javax.swing.JTable listGV;
    // End of variables declaration//GEN-END:variables
}
